```wmd-options
language = es
title_i18n = wmarkdown_title_dictionaries
title_text = Diccionarios - WMarkDown
```

<!-- [[wmd]] -->

### Diccionarios

Los diccionarios en WMarkDown son una herramienta para ayudar a escribir sin preocuparse en definir elementos que puedan resultar complejos, profesionales o simples interpretaciones. La idea simplemente es la creación de un diccionar JSON el cual será cargado y en base a los patrones establecidos éste los implementará en los textos del propio WMarkDown para que el usuario, al Clickar en dichos elementos les salga qué es para ti, además de permitir el muestreo de definiciones de forma anidada.

La implementación de los diccionarios es automática siempre que se le halla dado algún archivo de diccionario. Si éste no fue dado, los diccionarios no se post-procesarán.

El formato JSON de los diccionarios viene siendo un Array donde se implementará en cada elemento del mismo un término, y los términos tendrían un formato también de Array donde:

1. **Patrón y corrección**: Éste puede ser un único Array con un patrón regular y el texto corregido que quieres que se tenga uniformemente; o bien, un Array de elementos los cuales, como antes, sería un Array con un patrón y el texto corregido que quieres que se tenga uniformemente.
2. **Definición**: Viene siendo la definición, el cual puede ser un simple String o un Array para poder hacer saltos de línea.
3. **Links**: Links de interés tanto para más información como Webs oficiales y proyectos.

Un ejemplo de ésto puede ser el siguiente:

```json
[[
    [
        ["/\\bwmarkdown\\b/ig", "WMarkDown"], 
        ["/\\b(wmd\\b|w\\.m\\.d\\.|w\\. +m\\. +d\\. +)/ig", "WMD"]
    ], [
        "El WMarkDown es un proyecto que nos permite hacer documentación y textos ", 
        "formateados desde un lenguaje de marcas sencillo que parte como idea de ", 
        "lenguajes de marcas como MarkDown y MediaWiki, personalizado a usos más ", 
        "extensos, flexibles y fáciles."
    ], [
        "https://wmarkdown.k3y.pw/", 
        "https://git.k3y.pw/Whalers/WMarkDown"
    ]
], [
    ["/\\bmedia *wiki\\b/gi", "MediaWiki"], [
        "MediaWiki es un proyecto Free Open Source que viene siendo la base de Webs ", 
        "como Wikipedia entre otros, el cual permite gestionar publicaciones y ", 
        "documentación en un entorno flexible, abierto y extendido con una gran ", 
        "comunidad que lo sustenta."
    ], [
        "https://www.mediawiki.org/", 
        "https://es.wikipedia.org/wiki/MediaWiki", 
        "https://github.com/wikimedia/mediawiki"
    ]
], [
    [
        ["/\\bmarkdown\\b/gi", "Markdown"], 
        ["/(?<!\\.)\\bmd\\b|\\b(m\\.d\\.|m\\. +d\\. +)/ig", "MD"]
    ], [
        "Markdown es un estándar de lenguaje de marcas que se desarrolló para facilitar ", 
        "la documentación con texto formateado en los proyectos, tanto a un nivel visual ", 
        "mediante texto plano como una vez formateado."
    ], [
        "https://daringfireball.net/projects/markdown", 
        "https://daringfireball.net/projects/markdown/syntax", 
        "https://es.wikipedia.org/wiki/Markdown", 
        "https://www.markdownguide.org/"
    ]
]]
```

> [!!] Si nos fijamos en el ejemplo, los patrones utilizados se basan en patrones regulares de JavaScript. El propio WMarkDown se encargará de adaptarlo al entorno correspondiente, pero es importante seguir este sistema.

Este ejemplo busca patrones que tengan que ver con WMarkDown, MediaWiki y Markdown, marcando en el texto procesado como elementos consultables y los cuales desplegarán un elemento flotante a su altura con la información requerida.

<!-- [[wmd]] -->