```wmd-options
language = es
title_i18n = wmarkdown_title_targets
title_text = Objetivos - WMarkDown
```

<!-- [[wmd]] -->

## Objetivos

Los objetivos para poder llevar a cabo este proyecto son los siguientes:

+ [X] Actualizar base del proyecto.
    + [X] Montar la aplicación AnP sobre Python y agregarlo a los servidores.
    + [X] Preparar el HTML para las páginas WMarkDown.
    + [X] Reestablecer el dominio local de pruebas contra AnP en vez de Apache.
+ [X] Montar estilos genéricos.
    + [X] Adjuntar el SASS de configuración y de elementos comunes de AnP.
    + [X] Establecer colores primarios y secundarios.
    + [X] Rehacer el logo del WMarkDown.
+ [-] CSS.
    + [X] Visualización general.
    + [X] Checkboxes y Radio Buttons.
    + [-] Visualización de los bloques de código.
    + [X] Estilos del menú dinámico.
+ [-] ECMAScript/JavaScript.
    + [ ] Gestión de la visuazalición de bloques de código y condición de bloques especiales.
    + [X] Crear menú dinámico sobre entorno cliente a partir de los ID de los Headers o títulos.
    + [X] Integrar los diccionarios del WDictionaries para unificar proyectos y actualizar formato.
        + [X] Formatear los archivos de diccionario JSON.
        + [X] Carga asíncrona de los diccionarios.
        + [X] Identificación de los elementos de los diccionarios en los textos al nivel establecido.
        + [X] Generar las cajas de muestreo de información del elemento de diccionario.
+ [-] Python.
    + [X] Crear base independiente para que pueda ser adjuntado en cualquier proyecto.
    + [X] Crear gestión de módulos dinámicos de forma simplificada sobre diccionarios y sistemas de Callbacks sobre patrones regulares.
    + [X] Crear módulo de análisis directo.
    + [X] Crear módulo de análisis vía bloque.
    + [X] Módulo para los párrafos.
    + [X] Módulo para los títulos y subtítulos.
    + [X] Módulo para las listas ordenadas y desordenadas.
    + [X] Módulo para la gestión de las tablas.
    + [X] Módulo para fragmentos de texto en negrita.
    + [X] Módulo para fragmentos de texto en itálica.
    + [X] Módulo para fragmentos de texto tachado.
    + [X] Módulo para fragmentos de texto subrayado.
    + [X] Módulo para fragmentos de texto monoespaciado o de código.
    + [X] Módulo para la visualización de Links.
        + [X] Links marcados.
        + [X] Links y Paths directos.
    + [X] Módulo para la visualización de imagen.
    + [-] Módulo para la visualización de vídeo.
        + [-] Vídeo nativo.
        + [ ] Vídeo de Youtube.
        + [ ] Vídeo de Vimeo.
    + [-] Módulo para la reproducción de audio.
        + [ ] Audio nativo.
        + [ ] Audio de Soundcloud.
    + [ ] Reproductor de múltiples audios.
    + [ ] Slider de imágenes y vídeos.
    + [X] Módulo de bloques de código.
    + [-] Quotes o comentarios.
        + [X] Bloques crudos.
        + [X] Bloques iconificados.
        + [X] Bloques de comentario de usuario.
        + [ ] Bloques anidados.
    + [X] Inclusiones de archivos externos.
    + [X] Integrar el WDictionaries en el proyecto WMarkDown para unificar gestión documental.
    + [ ] Aplicar un sistema de tabulaciones adecuada para facilitar acceso al código fuente HTML.
    + [ ] Implementar sistema de comentarios para ignorar fragmentos de texto y que no salgan como resultado futuro.
    + [X] Implementar módulo de definición de método y/o función para documentación.
    + [X] Módulo para visualizar muestra de color.
    + [X] Módulo para visibilizar proyectos y recursos.
    + [ ] Módulo para visualizar direcciones de monedas o de pago mediante String y QR con Link integrado.
    + [ ] Módulo para comentar fragmentos que no resulten en el String de salida.
+ [X] Implementar SyntaxHightlighter para el módulo de bloque de código.
+ [X] Implementar MathJax.
+ [X] Implementar MermaidJS.
+ [ ] Implementar ejemplificación de uso del lenguaje WMarkDown "[[!wmd-examples]]".
+ [ ] Gestionar cacheados automáticos de los ficheros contra HTML para precompilaciones.

<!-- [[wmd]] -->