[[post_data {
    "author" : "KyMAN",
    "since" : 20210516,
    "version" : 20210519
}]]
# Diccionario

[[data_dictionary {
    "dictionary" : [{
        "pattern" : "/\\bky ?man\\b/gi",
        "result" : "KyMAN",
        "description" : [
            "Programador. Trabaja los lenguajes Python, PHP, JavaScript, CSS (CSS y SCSS), SQL ",
            "(SQLite, MySQL (MariaDB) y SQL Server)"
        ],
        "links" : [
            "https://git.k3y.pw/KyMAN/",
            "https://git.a3do.net/KyMAN/",
            "https://www.youtube.com/channel/UCCAWOt-AxTyAiFWBgyb3X9Q",
            "https://github.com/0KyMAN0"
        ]
    }, {
        "pattern" : "/\\btarsi(er)?\\b/gi",
        "result" : "Tarsier",
        "description" : [
            "Algo de todo."
        ],
        "links" : [
            "https://git.k3y.pw/Tarsier/"
        ]
    }, {
        "pattern" : "/\\bmark ?down\\b/gi",
        "result" : "MarkDown",
        "description" : [
            "Simple lenguaje de marcas de texto para documentar. se suele usar en proyectos Git."
        ],
        "links" : [
            "https://es.wikipedia.org/wiki/Markdown",
            "https://markdown.es/"
        ]
    }, {
        "pattern" : "/\\bmedia ?wiki\\b/gi",
        "result" : "MediaWiki",
        "description" : [
            "CMS PHP muy extendido para gestionar información y documentación con un pequeño ",
            "lenguaje de marcas de texto para su procesamiento. Como referencias tendríamos ",
            "Wikipedia, HiddenWiki, etc."
        ],
        "links" : [
            "https://www.mediawiki.org/",
            "https://es.wikipedia.org/wiki/MediaWiki"
        ]
    }, {
        "pattern" : ["/\\bwmarkdown\\b/gi", "/\\bwmd\\b/gi"],
        "result" : ["WMarkDown", "WMD"],
        "description" : [
            "Pequeño sistema para documentación de proyectos que mezcla los lenguajes de marcas ",
            "de texto MarkDown y MediaWiki con HTML y texto plano."
        ],
        "links" : [
            "https://wmarkdown.k3y.pw/",
            "https://git.k3y.pw/Whalers/WMarkDown"
        ]
    }, {
        "pattern" : ["/\\blaz(y|ying|yed|ies)?\\b/gi", "/\\blazya?ble\\b/gi"],
        "result" : ["Laz$1", "Lazyable"],
        "words" : ["Lazy", "Lazying", "Lazyed", "Lazyable"],
        "description" : [
            "Sistema que permite la carga de elementos según se acerquen a su visualización, ",
            "permitiendo que el código, por lo general, HTML, exista para servicios de indexación ",
            "y SEO, pero la información del elemento solo sea cargada cuando el usuario vaya a ",
            "visualizarlo. Para SEO suele ayudarse de la etiqueta HTML NOSCRIPT."
        ],
        "links" : [
            "https://developer.mozilla.org/en-US/docs/Web/Performance/Lazy_loading",
            "https://www.w3schools.com/tags/att_img_loading.asp",
            "https://web.dev/browser-level-image-lazy-loading/"
        ]
    }, {
        "pattern" : "/\\blatex\\b/gi",
        "result" : "LaTeX",
        "description" : [
            "Notación matemática para formulación. A partir de una notación de texto dibuja ",
            "las fórmulas en formato visual matemático."
        ],
        "links" : [
            "https://es.wikipedia.org/wiki/LaTeX",
            "https://www.latex-project.org/"
        ]
    }, {
        "pattern" : ["/\\bjavascript\\b/gi", "/\\bjs\\b/gi"],
        "result" : ["JavaScript", "JS"],
        "description" : [
            "Lenguaje basado en el estándar ECMAScript, siendo el más popular. Es usado ",
            "comúnmente en navegadores aunque puede estar en otros entornos."
        ],
        "links" : [
            "https://developer.mozilla.org/es/docs/Web/JavaScript",
            "https://es.wikipedia.org/wiki/JavaScript",
            "https://desarrolloweb.com/home/javascript",
            "https://www.javascript.com/",
            "https://lenguajejs.com/"
        ]
    }, {
        "pattern" : "/\\bes?cma ?(s|script)?( ?(\\d+))\\b/gi",
        "result" : "ECMAScript $3",
        "words" : "ECMAScript",
        "description" : [
            "Lenguaje basado en el estándar ECMAScript, siendo el más popular. Es usado ",
            "comúnmente en navegadores aunque puede estar en otros entornos."
        ],
        "links" : [
            "https://developer.mozilla.org/es/docs/Web/JavaScript",
            "https://es.wikipedia.org/wiki/JavaScript",
            "https://desarrolloweb.com/home/javascript",
            "https://www.javascript.com/",
            "https://lenguajejs.com/"
        ]
    }, {
        "pattern" : "/\\f(\\. ?)?a(\\. ?)?q\\.?\\b/gi",
        "result" : "FAQ",
        "description" : [
            "Del inglés Frequency Asked and Questions, Preguntas y Questiones Frecuentes o ",
            "simplemente Preguntas Frecuentes."
        ],
        "links" : [
            "https://es.wikipedia.org/wiki/Preguntas_frecuentes",
            "https://www.significados.com/faq/",
            "https://www.prestashop.com/es/blog/que-es-faq"
        ]
    }, {
        "pattern" : "/\\brequired\\b/gi",
        "result" : "Required",
        "description" : "Determina que es obligatorio."
    }, {
        "pattern" : "/\\boptional\\b/gi",
        "result" : "Optional",
        "description" : "Determina que es opcional."
    }]
}]]

[[html_data {
    "title" : "WMarkDown - Parámetros customizados",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/dictionary.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210516,
    "version" : 20210519,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,dictionary",
    "description" : "Diccionario de conceptos.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
