[[post_data {
    "author" : "KyMAN",
    "since" : 20211204,
    "version" : 20211204
}]]
# Tablas

El módulo de las tablas busca agilizar y facilitar la escritura de tablas en WMarkDown, basándose en
el sistema de tablas de MediaWiki, pero con algunas diferencias. La sintaxis para crear una tabla en
WMarkDown viene siendo con una línea con la que se inicia con la apertura de corchete seguido de un
cierre de exclamación, y se entiende como tabla hasta que halla una línea que se inicia con un un
cierre de exclamación seguida de un cierre de corchete. Cada línea se entiende como una tupla si
ésta se inicia con tubería, sino, será como un comentario dentro de la propia tabla. No existen los
saltos de línea.

> [[! note NOTA]]: Las tablas de WMarkDown están diseñadas para contenido muy simplificado (Datos,
textos muy pequeños, etc.).

Un ejemplo de tabla podría ser lo siguiente:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:33%;">WMarkDown</th>
            <th style="width:33%;">HTML</th>
            <th style="width:33%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md
[! style="width:100%;"
Esto es un comentario y se ignorará de la tabla.
|^Cabecera|ejemplo1|ejemplo2|ejemplo3|ejemplo4|ejemplo5
|tupla1   |dato1   |dato2   |dato3   |dato4   |dato5
|compacto|dato1|dato2|dato3|dato4|dato5
|colspan|dato1|||dato 2, 3 y 4|dato5
|_pie|||||Esto es el pie de tabla.
!]
```

            </td>
            <td>

```html
<table style="width">
    <thead>
        <tr>
            <th>Cabecera</th>
            <th>ejemplo1</th>
            <th>ejemplo2</th>
            <th>ejemplo3</th>
            <th>ejemplo4</th>
            <th>ejemplo5</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>tupla1</td>
            <td>dato1</td>
            <td>dato2</td>
            <td>dato3</td>
            <td>dato4</td>
            <td>dato5</td>
        </tr>
        <tr>
            <td>compacto</td>
            <td>dato1</td>
            <td>dato2</td>
            <td>dato3</td>
            <td>dato4</td>
            <td>dato5</td>
        </tr>
        <tr>
            <td>colspan</td>
            <td>dato1</td>
            <td colspan="3">dato 2, 3 y 4</td>
            <td>dato5</td>
        </tr>
    </tbody>
    <tfoot>
        <tr>
            <th>pie</th>
            <th colspan="5">Esto es el pie de tabla.</th>
        </tr>
    </tfoot>
</table>
```

            </td>
            <td>

[! style="width:100%;"
Esto es un comentario y se ignorará de la tabla.
|^Cabecera|ejemplo1|ejemplo2|ejemplo3|ejemplo4|ejemplo4
|tupla1   |dato1   |dato2   |dato3   |dato4   |dato5
|compacto|dato1|dato2|dato3|dato4|dato5
|colspan|dato1|||dato 2, 3 y 4|dato5
|_pie|||||Esto es el pie de tabla.
!]

            </td>
        </tr>
    </tbody>
</table>

Como podemos ver en el ejemplo anterior, podemos ponerle atributos a la etiqueta HTML en la línea de
apertura, y también podemos ver que una línea sin cabecera de tubería también se considera un
comentario, que aunque no salga reflejado en el HTML final, sí nos permite hacer breves comentarios
de puntos específicos de la propia tabla. También tenemos marcas que identifican si la tupla
pertenece a la cabecera, cuerpo o pie de página donde:

- Si la tupla empieza por "^", "¨" o "-" se considerará cabecera.
- Si la tupla empieza por "_" se considerará pie.
- Si la tupla empieza por "#" se considera que será tanto cabecera como pie.
- Si la tupla empieza por algo distinto se considerará cuerpo.

Cualquiera de estos elementos pueden poner en cualquier punto de la tabla, sin embargo, las
cabeceras se unirán, en el orden en el que fueron establecidas, en la THEAD, en la parte superior de
la tabla; lo mismo con los pie de tabla pero en la parte inferior, en la etiqueta TFOOT; y los
elementos de cuerpo, que se ordenarán en el cuerpo de la misma forma que las cabeceras y los pies,
en la etiqueta TBODY.

Cada celda puede contener elementos WMarkDown como enlaces, componentes, etc. Siempre que éstos sólo
posean una única línea y no contengan el caracter de la tubería.

Finalmente, estas tablas son capaces de representar COLSPAN, a partir del número de tuberías que
precede a la celda, donde si es una se considerará una celda normal de 1 casilla; mientras que si
son de más se considerará que ocupan el número de tuberías que la preceden.

> [[! note NOTA]]: Un punto interesante de este tipo de tablas es que se ignoran los espacios antes
y después del texto de una celda, por lo que permite escribir las tablas con la forma misma de la
tabla, dando un índice visual en texto plano WMarkDown muy interesante para ciertas cosas.

> [[! important IMPORTANTE]]: Para dejar una celda vacía simplemente hemos de escribir su tubería, y
a continuación, un espacio en blanco que la separe de la tubería de la siguiente celda.

[[html_data {
    "title" : "WMarkDown - Tablas",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/tables.html",
    "author" : "KyMAN",
    "since" : 20211204,
    "version" : 20211204,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,tablas",
    "description" : "Módulo de tablas.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
